Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.ocsp
Class BasicOCSPResp

    java.lang.Object
      |
      +--org.bouncycastle.ocsp.BasicOCSPResp

public class BasicOCSPResp
extends java.lang.Object

Constructor Summary
`BasicOCSPResp(BasicOCSPResponse resp)`

Method Summary
`java.security.cert.X509Certificate[]` | `getCerts(java.lang.String provider)`
`byte[]` | `getEncoded()` return the ASN.1 encoded representation of this object.
`RespData` | `getResponseData()`
`byte[]` | `getSignature()`
`java.lang.String` | `getSignatureAlgOID()`
`boolean` | `verify(java.security.PublicKey key, java.lang.String sigProvider)` verify the signature against the tbsResponseData object we contain.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicOCSPResp

    public BasicOCSPResp(BasicOCSPResponse resp)

Method Detail

### getSignatureAlgOID

    public java.lang.String getSignatureAlgOID()

### getResponseData

    public RespData getResponseData()

### getSignature

    public byte[] getSignature()

### getCerts

    public java.security.cert.X509Certificate[] getCerts(java.lang.String provider)
                                                  throws OCSPException,
                                                         java.security.NoSuchProviderException

### verify

    public boolean verify(java.security.PublicKey key,
                          java.lang.String sigProvider)
                   throws OCSPException,
                          java.security.NoSuchProviderException

  verify the signature against the tbsResponseData object we contain.

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

  return the ASN.1 encoded representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD